// Department.java
//
// Informatics 43 Spring 2009
// Code Example: Serialization (Version 2)
//
// This is another Serializable class.  (See the comments in Person.java
// for more information about what that means.)

import java.io.Serializable;
import java.util.ArrayList;


public class Department implements Serializable
{
	private ArrayList<Person> persons;
	
	
	public Department()
	{
		persons = new ArrayList<Person>();
	}
	
	
	public void addPerson(Person person)
	{
		persons.add(person);
	}
	
	
	public ArrayList<Person> getPersons()
	{
		// You might be wondering why I'm returning a new list here.
		// The reason is that I want to be sure that the caller of this
		// method doesn't get back the list that belongs to this
		// department, but instead gets a copy of it; that way, if the
		// caller introduces changes, it won't affect the department.
		return new ArrayList<Person>(persons);
	}
}
