// Person.java
//
// Informatics 43 Spring 2009
// Code Example: Serialization (Version 2)
//
// This is a very similar Person class to the one presented in Version 1
// of this code example.  The only difference is that this Person class
// supports automatic Java serialization.  Supporting Java serialization
// is simple:
//
// (1) Implement the Serializable (which doesn't require implementing any
//     methods, so simply saying "implements Serializable")
// (2) Make sure that all of the fields of the class are either primitive
//     types, Strings, or other classes that also implement Serializable.
//     In this case, Person has only two String fields, so we're good here.

import java.io.Serializable;


public class Person implements Serializable
{
	private String name;
	private String title;
	
	
	public Person(String name, String title)
	{
		this.name = name;
		this.title = title;
	}
	
	
	public String getName()
	{
		return name;
	}
	
	
	public String getTitle()
	{
		return title;
	}
}
